Run analytics query
curl --request POST \
--url https://api.hexclave.com/api/v1/analytics/query \
--header 'Content-Type: application/json' \
--data '
{
"include_all_branches": false,
"query": "SELECT count() AS event_count FROM events",
"params": {
"event_type": "$page-view"
},
"timeout_ms": 10000
}
'import requests
url = "https://api.hexclave.com/api/v1/analytics/query"
payload = {
"include_all_branches": False,
"query": "SELECT count() AS event_count FROM events",
"params": { "event_type": "$page-view" },
"timeout_ms": 10000
}
headers = {"Content-Type": "application/json"}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {'Content-Type': 'application/json'},
body: JSON.stringify({
include_all_branches: false,
query: 'SELECT count() AS event_count FROM events',
params: {event_type: '$page-view'},
timeout_ms: 10000
})
};
fetch('https://api.hexclave.com/api/v1/analytics/query', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"result": [
{
"event_count": 42
}
],
"query_id": "00000000-0000-0000-0000-000000000000:main:00000000-0000-0000-0000-000000000001"
}Analytics
Run analytics query
Runs a read-only ClickHouse SQL query against the current project’s analytics dataset.
POST
/
analytics
/
query
Run analytics query
Body
application/json
A read-only ClickHouse SQL query.
Example:
"SELECT count() AS event_count FROM events"
Reserved for future branch-wide analytics queries. Must be false.
Example:
false
ClickHouse query parameters referenced by the query.
Example:
{ "event_type": "$page-view" }Maximum query execution time in milliseconds. The effective timeout is also capped by the project's plan.
Example:
10000
Response
200 - application/json
Successful response
⌘I